# $Revision: 1.20 $, $Date: 2004/05/07 19:25:03 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Mail
%define	pnam	Audit
Summary:	%{pdir}::%{pnam} - alternative for procmail
Summary(pl):	%{pdir}::%{pnam} - alternatywa dla procmaila
Name:		perl-%{pdir}-%{pnam}
Version:	2.1
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b52b1142fa9ed7d847c531186f913ea6
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-MIME-tools
BuildRequires:	perl-MailTools
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Razor::.*)'

%description
Mail::Audit was inspired by Tom Christiansen's audit_mail and deliverlib
programs.  It allows a piece of email to be logged, examined, accepted
into a mailbox, filtered, resent elsewhere, rejected, replied to, and
so on.  It's designed to allow you to easily create filter programs to
stick in a .forward file or similar.

%description -l pl
Inspiracj dla Mail::Audit by audit_mail i programy deliverlib Toma
Christiansena.  Pozwala on na logowanie przychodzcej poczty, badanie
jej, akceptowanie do skrzynki pocztowej, filtrowanie, przekierowywanie,
odrzucanie, odpowiadanie i tak dalej.  Zosta zaprojektowany tak, aby
pozwoli Ci na atwe tworzenie filtrw, uruchamianych z pliku ~/.forward
lub podobnego miejsca.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README FAQ popread proc2ma
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-Audit.spec,v $
Revision 1.20  2004/05/07 19:25:03  ankry
- typo

Revision 1.19  2004/05/07 01:12:27  ankry
- rel. 4

Revision 1.18  2004/05/06 17:57:00  ankry
- fixed perl-devel BR

Revision 1.17  2004/04/25 00:50:57  ankry
- cosmetics: unification

Revision 1.16  2004/04/23 06:22:06  ankry
- license fixes/unification

Revision 1.15  2004/04/22 20:42:11  ankry
- bconds added

Revision 1.14  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.13  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.12  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.11  2003/08/18 08:08:57  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/07/27 12:11:52  radek
- cosmetic simplification

Revision 1.9  2003/05/28 13:00:47  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 20:20:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/28 10:08:26  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:36:06  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/07/23 10:07:37  radek
- removed dependencies on Razor, in this version Razor just won't work:
  API has changed, old version is not available, new -- not supported
  by current Mail::Audit
- release 2

Revision 1.1  2002/07/21 07:24:55  radek
- new, STBR

